---
started: "2023-08-11T00:00:00.000Z"
type: "note"
column: "Backlog"
created: "2024-01-06T01:22:07.364Z"
updated: "2024-01-06T01:22:07.364Z"
---

# Replace messv02ecc1.ec.local with D Program Data

```sql
select id, version, extract(configuration, '/PDSFConfiguration/Settings/StoragePaths')
from t_configurationcontainer
where version = '4.214'
  and id = '7E439B01CAFA45179525937CC3608325';

update t_configurationcontainer
set configuration =
    updatexml(configuration,
    '/PDSFConfiguration/Settings/StoragePath',
    xmltype(replace(extract(configuration, '/PDSFConfiguration/Settings/StoragePath').getStringVal(), '\\messv02ecc1.ec.local\EC_EDA\Staging\Traces','D:\ProgramData\EC_EDA\Staging\Traces'))
    )
where extract(configuration, '/PDSFConfiguration/Settings/StoragePath').getStringVal() like '%\\messv02ecc1.ec.local\EC_EDA\Staging\Traces%'
  and id = 'C07ECF85C1134781E05365835F0AB0F6';

update t_configurationcontainer
set configuration =
    updatexml(configuration,
    '/PDSFConfiguration/Settings/StoragePaths',
    xmltype(replace(extract(configuration, '/PDSFConfiguration/Settings/StoragePaths').getStringVal(), '\\messv02ecc1.ec.local\EC_EDA\Staging\Traces','D:\ProgramData\EC_EDA\Staging\Traces'))
    )
where extract(configuration, '/PDSFConfiguration/Settings/StoragePaths').getStringVal() like '%\\messv02ecc1.ec.local\EC_EDA\Staging\Traces%'
  and id = '7E439B01CAFA45179525937CC3608325';

-- eda staging
-- 436 rows updated.
-- 2,468 rows updated.

containername = 'Plan_Pdsf' and modulename = 'HGCV1_Pdsf'

update t_globalconfiguration
set value = replace(value, 'tibrvd.ec.local', 'tibrvd.mes.infineon.com')
where value like '%tibrvd.ec.local%';

update t_globalconfiguration
set value = replace(value, '\\messv02ecc1.ec.local\EC_EDA\Staging\Traces', 'D:\ProgramData\EC_EDA\Staging\Traces')
where value like '%\\messv02ecc1.ec.local\EC_EDA\Staging\Traces%';
```
